clear
set more off
set matsize 800

cap log close
log using "brazrloc/logs/pme-aer-final.log", text replace

tempfile tarint
use "brazrloc/pme/tariffs-intm.dta", clear
ren tariff tariff_intm
gen id=1 if ativ80==2
replace id=2 if ativ80==3
replace id=3 if ativ80==4
replace id=4 if ativ80==5|ativ80==6|ativ80==7
replace id=5 if ativ80==10|ativ80==11
replace id=6 if ativ80==12|ativ80==13
replace id=7 if ativ80==8
replace id=8 if ativ80==14
replace id=9 if ativ80==15
replace id=10 if ativ80==16
replace id=11 if ativ80==17|ativ80==19
replace id=12 if ativ80==18
replace id=13 if ativ80==20
replace id=14 if ativ80==21
replace id=15 if ativ80==22
replace id=16 if ativ80==23
replace id=17 if ativ80==24
replace id=18 if ativ80==25|ativ80==27|ativ80==28|ativ80==29|ativ80==30
replace id=19 if ativ80==26
replace id=20 if ativ80==31
egen ntarint=mean(tariff_intm), by(id year)
drop if year==87|year==89|year==91|year==93|year==95|year==97
so id year
sa `tarint'

tempfile tarout 
use "brazrloc/pme/tariffs-outp.dta",clear
rename tariff tariff_oupt
gen n80=int(niv80/100)
gen id=1 if n80==2
replace id=2 if n80==3
replace id=3 if n80==4
replace id=4 if n80==5|n80==6|n80==7
replace id=5 if n80==10|n80==11
replace id=6 if n80==12|n80==13
replace id=7 if n80==8
replace id=8 if n80==14
replace id=9 if n80==15
replace id=10 if n80==16
replace id=11 if n80==17|n80==19
replace id=12 if n80==18
replace id=13 if n80==20
replace id=14 if n80==21
replace id=15 if n80==22
replace id=16 if n80==23
replace id=17 if n80==24
replace id=18 if n80==25|n80==27|n80==28|n80==29|n80==30
replace id=19 if n80==26
replace id=20 if n80==31
egen ntarout=mean(tariff_oupt), by(id year)
drop if year==87|year==89|year==91|year==93|year==95|year==97
so id year
sa `tarout',replace

tempfile subsibge
use "brazrloc/auxil/sector-subsibge-data.dta", clear
replace year=year-1900
so subs_ibge year
sa `subsibge', replace

use "brazrloc/pme/pme-final.dta", clear
gen id=1 if v304_4==57|v304_4==58
replace id=2 if v304_4==51|v304_4==52
replace id=3 if v304_4==100
replace id=4 if v304_4==110
replace id=5 if v304_4==130
replace id=6 if v304_4==140
replace id=7 if v304_4==120
replace id=8 if v304_4==150|v304_4==151|v304_4==160
replace id=9 if v304_4==170|v304_4==290
replace id=10 if v304_4==180
replace id=11 if v304_4==200
replace id=12 if v304_4==201
replace id=13 if v304_4==210|v304_4==220
replace id=14 if v304_4==230
replace id=15 if v304_4==240|v304_4==241
replace id=16 if v304_4==250
replace id=17 if v304_4==190|v304_4==251
replace id=18 if v304_4==260
replace id=19 if v304_4==280
replace id=20 if v304_4==270
gen sub=1 if v304_4==57|v304_4==58
replace sub=1 if v304_4==51|v304_4==52
replace sub=2 if v304_4==100
replace sub=3 if v304_4==110
replace sub=5 if v304_4==130
replace sub=6 if v304_4==140
replace sub=4 if v304_4==120
replace sub=7 if v304_4==150|v304_4==151|v304_4==160
replace sub=8 if v304_4==170|v304_4==290
replace sub=9 if v304_4==180
replace sub=10 if v304_4==200
replace sub=10 if v304_4==201
replace sub=10 if v304_4==210|v304_4==220
replace sub=10 if v304_4==230
replace sub=11 if v304_4==240|v304_4==241
replace sub=11 if v304_4==250
replace sub=12 if v304_4==190|v304_4==251
replace sub=13 if v304_4==260
replace sub=13 if v304_4==280
replace sub=13 if v304_4==270
drop if id==.
drop if year==84
so id year
gen id2=idade*idade
mer id year using `tarint'
tab _mer
keep if _mer==3
drop _merge
so id year
mer id year using `tarout'
tab _mer
keep if _mer==3
drop _mer
ren sub subs_ibge
so subs_ibge year
mer subs_ibge year using `subsibge'
tab _mer
keep if _mer==3
tab subs_ibge, ge(dsubs)
tab year, ge(dy)
tab id, ge(ind)
tab ed_gr, ge(ded)
tab uf, ge(duf)
ren sex gender
*drop employer*
drop if t48==6

keep year gender t48 id tf ntarin ntarout subs_secrealx subs_fdiflw subs_fdistk subs_reffpen subs_tarfoutp subs_tarfintm subs_herfsale subs_indunsklb subs_indprown_pis ded2-ded4 duf1-duf5 dy2-dy7 dsubs2-dsubs13 idade idade2
tab id, gen(ind)

mlogit t48 tf subs_secrealx subs_fdiflw ntarin ntarou subs_herfsale ded2-ded4 duf1-duf5 dy2-dy7 ind* idade idade2 gender, cluster(id)

log close
